INTERFACE
SUBROUTINE HINTH(KDLEN,KLEN,KDBDY,KMXBDY,KCMBDY,KOBSTYPE,&
 & PAPHIL5,PINTHUV,KVNMRQ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDB
INTEGER(KIND=JPIM),INTENT(IN) :: KDLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KDBDY
INTEGER(KIND=JPIM),INTENT(IN) :: KLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KMXBDY
INTEGER(KIND=JPIM),INTENT(IN) :: KCMBDY(KDLEN)
INTEGER(KIND=JPIM),INTENT(IN) :: KOBSTYPE
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHIL5(KDLEN)
REAL(KIND=JPRB) ,INTENT(OUT) :: PINTHUV(KDLEN)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KVNMRQ(KDLEN,KDBDY)
END SUBROUTINE HINTH
END INTERFACE
